"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _logo = require("./logo");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var _default = (_ref) => {
  let {
    visible = true,
    message = 'Loading...'
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["visible", "message"]);

  return (0, _preact.h)("div", _extends({
    "data-e2e": "loadingScreen",
    className: (0, _classnames.default)('left-0 top-0 z-2 fixed vh-100 w-100 bg-dark-blue transition flex items-center justify-center', {
      'o-100': visible,
      'o-0': !visible
    })
  }, rest), (0, _preact.h)("div", {
    className: "mb4"
  }, (0, _preact.h)(_logo.XChart, {
    light: true,
    className: "pulse-animation h2 h3-m h4-l"
  })), (0, _preact.h)("div", {
    className: "fixed bottom-0 right-0 pa3 f4 light-blue tc o-60"
  }, message));
};

exports.default = _default;