"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShadowRoot = void 0;

var _preact = require("preact");

customElements.define('shadow-root', class extends HTMLElement {
  constructor() {
    super();
    this.attachShadow({
      mode: 'open'
    });
  }

  set html(html) {
    this.shadowRoot.innerHTML = html;
  }

});

const ShadowRoot = ({
  html
}) => {
  return (0, _preact.h)("shadow-root", {
    html: html
  });
};

exports.ShadowRoot = ShadowRoot;